import java.io.*;
import java.util.*;
public class main {
    public static void main(String [] args)throws Exception{
        Scanner in=new Scanner(new File("gcd.in"));
        PrintWriter out=new PrintWriter("gcd.out");
        long a=in.nextInt();
        long b=in.nextInt();
        long c=1;
        if(a>0 || b>0){
        if(a>b)
        {
            for(long i=0;i<=a;i++)
                if(i>c && a%i==0 && b%i==0)
                    c=i;
        }
        if(a<b)
        {
            for(long i=1;i<=b;i++)
                if(i>c && a%i==0 && b%i==0)
                    c=i;
        }
        if(a==b)
            c=a;}
        else
        {
        if(a>b)
        {
            for(long i=0;i<=a*-1;i++)
                if(i>c && a%i==0 && b%i==0)
                    c=i;
        }
        if(a<b)
        {
            for(long i=1;i<=b*-1;i++)
                if(i>c && a%i==0 && b%i==0)
                    c=i;
        }
        if(a==b)
            c=a*-1;}
        out.print(c);
        out.close();
    }
}
